Bug 1056682 - Gnome login screen does not allow bluetooth keyboard to work
Gnome login screen does not allow bluetooth keyboard to work
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Don Zickus
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2014-01-22 12:31 EST by kbridger
Modified: 2015-06-29 10:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-29 10:39:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
systemd service "Bluetooth autostart" (810 bytes, text/plain)
2014-07-27 12:11 EDT, Gerd v. Egidy
no flags Details

  None (edit)
Description kbridger 2014-01-22 12:31:24 EST
Description of problem:
I have a Bluetooth keyboard (via USB adapter) that I use. In F19 when the login screen presented itself the Bluetooth keyboard was active and working. I used fedup to upgrade to F20 and now my Bluetooth keyboard is no longer active until I login. Once I login I type a key and it activates the Bluetooth capabilities and the keyboard works fine.

Version-Release number of selected component (if applicable):

How reproducible:
Every time login screen is displayed (after reboot or logout)

Steps to Reproduce:
1. Boot machine
2. Observe that bluetooth keyboard will not work
3. Login
4. Bluetooth keyboard works

Actual results:
Bluetooth keyboard does not work until I log into Gnome

Expected results:
Bluetooth keyboard works on Gnome login screens

Additional info:
Comment 1 bkoz@redhat.com 2014-01-27 17:30:43 EST
Regression from F19.
Comment 2 kbridger 2014-04-07 01:33:19 EDT
I've continued to check with each new kernel version that comes out in Fedora, still no luck.
Comment 3 Kevin R. Page 2014-05-08 13:31:49 EDT
I am also experiencing since updating to F20.
Comment 4 Gerd v. Egidy 2014-07-27 12:11:31 EDT
Created attachment 921488 [details]
systemd service "Bluetooth autostart"
Comment 5 Gerd v. Egidy 2014-07-27 12:14:17 EDT
The problem is not specific to Gnome, it's the same with KDE.

As a workaround till a proper fix is developed, I have attached a systemd service to autostart the bluetooth adapters during boot, independent of the window manager.

Copy the attached file #921488 to /etc/systemd/system and execute 

systemctl enable bluetooth-autostart.service
Comment 6 Fedora End Of Life 2015-05-29 06:37:22 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 10:39:49 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.